# w-toolbaritem

ToolBarItem is an extention of MenuComponent \[MenuComponent]

## Implementation  Details

> **Component Selector:** 'wm-toolbaritem'

## Class inheritance

ToolBarItemComponent extends [BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md).

## Support

### Properties

| Property                   | Get/Set | Notify Changes | Details                                                                                                                                                                |
| -------------------------- | ------- | -------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| enabled: boolean           | Yes/Yes | No             | Inherited from BaseControlComponent [see BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md) |
| name: string               | Yes/Yes | No             | Inherited from BaseControlComponent [see BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md) |
| text: string               | Yes/Yes | Yes            | Inherited from BaseControlComponent [see BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md) |
| visible: boolean           | Yes/Yes | No             | Inherited from BaseControlComponent [see BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md) |
| toolbarItemName: string    | Yes/Yes | No             | Specifies the name of a stock toolbar picture you want to use to represent an item in the toolbar or a string containing the name                                      |
| toolbarItemText: string    | Yes/Yes | No             | Specifies the text that displays in the toolbar                                                                                                                        |
| toolbarItemVisible: string | Yes/Yes | No             | Specifies whether the toolbar item displays                                                                                                                            |

### Events

| Event     | Supported | Parameter       | Details                     |
| --------- | --------- | --------------- | --------------------------- |
| Clicked   | Yes       | **$event**: any | Triggers `Clicked` Event.   |
| getfocus  | Yes       | **$event**: any | Triggers `getfocus` Event.  |
| losefocus | Yes       | **$event**: any | Triggers `losefocus` Event. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/powerbuilder-kendo-components/window-components/w-toolbaritem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
